/**
 * Operations Insights API
 * Use the Operations Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Operations Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * MySql SQL Text type object.
 */
export interface MySqlSqlText {
    /**
     * Name of Database Schema.
     * Example: `\"performance_schema\"`
     *
     */
    "schemaName"?: string;
    /**
     * digest
     * Example: `\"323k3k99ua09a90adf\"`
     *
     */
    "digest": string;
    /**
     * Collection timestamp.
     * Example: `\"2020-05-06T00:00:00.000Z\"`
     *
     */
    "timeCollected": Date;
    /**
     * SQL event name
     * Example: `\"SELECT\"`
     *
     */
    "commandType"?: string;
    /**
     * The normalized statement string.
     * Example: `\"SELECT username,profile,default_tablespace,temporary_tablespace FROM dba_users\"`
     *
     */
    "digestText": string;
}
export declare namespace MySqlSqlText {
    function getJsonObj(obj: MySqlSqlText): object;
    function getDeserializedJsonObj(obj: MySqlSqlText): object;
}
