/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Creates a lifecycle environment.
 * A lifecycle environment is a user-defined pipeline to deliver curated,
 * versioned content in a prescribed, methodical manner.
 *
 */
export interface CreateLifecycleEnvironmentDetails {
    /**
     * The OCID of the tenancy containing the lifecycle environment.
     */
    "compartmentId": string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * User specified information about the lifecycle environment.
     */
    "description"?: string;
    /**
     * User specified list of ranked lifecycle stages to be created for the lifecycle environment.
     */
    "stages": Array<model.CreateLifecycleStageDetails>;
    /**
     * The CPU architecture of the managed instance(s) in the lifecycle environment.
     */
    "archType": model.ArchType;
    /**
     * The operating system type of the managed instance(s) in the lifecycle environment.
     */
    "osFamily": model.OsFamily;
    /**
     * The software source vendor name.
     */
    "vendorName": model.VendorName;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: `{\"Department\": \"Finance\"}`
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: `{\"Operations\": {\"CostCenter\": \"42\"}}`
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateLifecycleEnvironmentDetails {
    function getJsonObj(obj: CreateLifecycleEnvironmentDetails): object;
    function getDeserializedJsonObj(obj: CreateLifecycleEnvironmentDetails): object;
}
