/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information for updating a proxy configuration
 */
export interface UpdateProxyConfigurationDetails {
    /**
     * To enable or disable the proxy (default true)
     */
    "isEnabled": boolean;
    /**
     * List of hosts
     */
    "hosts"?: Array<string>;
    /**
     * Port that the proxy will use
     */
    "port"?: string;
    /**
     * URL that the proxy will forward to
     */
    "forward"?: string;
}
export declare namespace UpdateProxyConfigurationDetails {
    function getJsonObj(obj: UpdateProxyConfigurationDetails): object;
    function getDeserializedJsonObj(obj: UpdateProxyConfigurationDetails): object;
}
