/**
 * PGSQL Control Plane API
 * A description of the PGSQL Control Plane API
 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to create a new Configuration.
 */
export interface CreateConfigurationDetails {
    /**
     * configuration display name
     */
    "displayName": string;
    /**
     * Compartment identifier
     */
    "compartmentId": string;
    /**
     * Details about the Configuration Set.
     */
    "description"?: string;
    /**
     * Compute Shape Name like VM.Standard3.Flex.
     */
    "shape": string;
    /**
     * Version of the Postgresql DB
     */
    "dbVersion": string;
    /**
     * CPU cpuCoreCount. Min value is 1. Max value depends on the shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instanceOcpuCount": number;
    /**
     * Memory Size in GB with 1GB increment. Min value matches the cpuCoreCount. Max value depends on the shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instanceMemorySizeInGBs": number;
    "dbConfigurationOverrides": model.DbConfigurationOverrideCollection;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: `{\"bar-key\": \"value\"}`
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: `{\"foo-namespace\": {\"bar-key\": \"value\"}}`
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: `{\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}`
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateConfigurationDetails {
    function getJsonObj(obj: CreateConfigurationDetails): object;
    function getDeserializedJsonObj(obj: CreateConfigurationDetails): object;
}
